Skip Menu |
 

This queue is for tickets about the Module-Depends CPAN distribution.

Report information
The Basics
Id: 30933
Status: new
Priority: 0/
Queue: Module-Depends

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 0.13
Fixed in: (no value)



Subject: Module::Depends::Intrusive fails on Image-Info-1.26
Download (untitled) / with headers
text/plain 978b
Module::Depends::Instrusive cannot detect dependencies in the Image-Info-1.26. This might be because of the usage of Module::Install. Output with perl5.8.8 looks like this: $ perl -MModule::Depends::Intrusive -MData::Dumper -e 'warn Dumper( Module::Depends::Intrusive->new->dist_dir( "." )->find_modules)' String found where operator expected at Makefile.PL line 19, near "recommends 'Image::Xpm'" (Do you need to predeclare recommends?) $VAR1 = bless( { 'dist_dir' => '.', 'build_requires' => {}, 'requires' => {}, 'error' => 'syntax error at Makefile.PL line 19, near "recommends \'Image::Xpm\'" Compilation failed in require at /mnt/redhat-root/home/slavenr/.cpan/build/Image-Info-1.26-s19eTS/Build.PL line 5. Compilation failed in require at /usr/local/share/perl/5.8.8/Module/Depends/Intrusive.pm line 83. ', 'libs' => [] }, 'Module::Depends::Intrusive' );


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.